' ===========================================================================
' CONSTANT VALUES USED BY ADSI OBJECTS
' (you can copy just the ones you need, and
' paste them in at the top of your ADSI scripts).
' ===========================================================================

const ADS_SECURE_AUTHENTICATION		= 1
const ADS_USE_ENCRYPTION		= 2
const ADS_USE_SSL			= 2
const ADS_READONLY_SERVER		= 4
const ADS_PROMPT_CREDENTIALS		= 8
const ADS_NO_AUTHENTICATION		= 16
const ADS_FAST_BIND			= 32
const ADS_USE_SIGNING			= 64
const ADS_USE_SEALING			= 128
const ADS_USE_DELEGATION		= 256
const ADS_SERVER_BIND			= 512

const ADS_PROPERTY_CLEAR		= 1
const ADS_PROPERTY_UPDATE		= 2
const ADS_PROPERTY_APPEND		= 3
const ADS_PROPERTY_DELETE		= 4

const PASSWORD_ATTR_NONE		= 0
const PASSWORD_ATTR_MIXED_CASE		= 1
const PASSWORD_ATTR_COMPLEX 		= 2

const ADS_JOB_PAUSED			= &H001
const ADS_JOB_ERROR			= &H002
const ADS_JOB_DELETING			= &H004
const ADS_JOB_PRINTING			= &H010
const ADS_JOB_OFFLINE			= &H020
const ADS_JOB_PAPEROUT			= &H040
const ADS_JOB_PRINTED			= &H080
const ADS_JOB_DELETED			= &H100

const ADS_PRINTER_PAUSED		= &H00000001
const ADS_PRINTER_PENDING_DELETION	= &H00000002
const ADS_PRINTER_ERROR			= &H00000003
const ADS_PRINTER_PAPER_JAM		= &H00000004
const ADS_PRINTER_PAPER_OUT		= &H00000005
const ADS_PRINTER_MANUAL_FEED		= &H00000006
const ADS_PRINTER_PAPER_PROBLEM		= &H00000007
const ADS_PRINTER_OFFLINE		= &H00000008
const ADS_PRINTER_IO_ACTIVE		= &H00000100
const ADS_PRINTER_BUSY			= &H00000200
const ADS_PRINTER_PRINTING		= &H00000400
const ADS_PRINTER_OUTPUT_BIN_FULL	= &H00000800
const ADS_PRINTER_NOT_AVAILABLE		= &H00001000
const ADS_PRINTER_WAITING		= &H00002000
const ADS_PRINTER_PROCESSING		= &H00004000
const ADS_PRINTER_INITIALIZING		= &H00008000
const ADS_PRINTER_WARMING_UP		= &H00010000
const ADS_PRINTER_TONER_LOW		= &H00020000
const ADS_PRINTER_NO_TONER		= &H00040000
const ADS_PRINTER_PAGE_PUNT		= &H00080000
const ADS_PRINTER_USER_INTERVENTION	= &H00100000
const ADS_PRINTER_OUT_OF_MEMORY		= &H00200000
const ADS_PRINTER_DOOR_OPEN		= &H00400000
const ADS_PRINTER_SERVER_UNKNOWN	= &H00800000
const ADS_PRINTER_POWER_SAVE		= &H01000000

const ADS_SERVICE_KERNEL_DRIVER		= &H01
const ADS_SERVICE_FILE_SYSTEM_DRIVER	= &H02
const ADS_SERVICE_OWN_PROCESS		= &H10
const ADS_SERVICE_SHARE_PROCESS		= &H20

const ADS_SERVICE_BOOT_START		= &H00
const ADS_SERVICE_SYSTEM_START		= &H01
const ADS_SERVICE_AUTO_START		= &H02
const ADS_SERVICE_DEMAND_START		= &H03
const ADS_SERVICE_DISABLED		= &H04

const ADS_SERVICE_ERROR_IGNORE		= 0
const ADS_SERVICE_ERROR_NORMAL		= 1
const ADS_SERVICE_ERROR_SEVERE		= 2
const ADS_SERVICE_ERROR_CRITICAL	= 3

const ADS_SERVICE_STOPPED		= &H01
const ADS_SERVICE_START_PENDING		= &H02
const ADS_SERVICE_STOP_PENDING		= &H03
const ADS_SERVICE_RUNNING		= &H04
const ADS_SERVICE_CONTINUE_PENDING	= &H05
const ADS_SERVICE_PAUSE_PENDING		= &H06
const ADS_SERVICE_PAUSED		= &H07
const ADS_SERVICE_ERROR			= &H08
