' ===========================================================================
' CONSTANT VALUES USED BY CDO FOR WINDOWS 2000 MESSAGING OBJECTS
' (you can copy just the ones you need, and
' paste them in at the top of your ADSI scripts).
' ===========================================================================

' cdoConfigSource Values -----------------------

const cdoSourceDefaults        = -1 ' load default from IIS and OE
const cdoSourceIIS             =  1 ' load default values from IIS configuration only
const cdoSourceOutlookExpress  =  2 ' load default values from OE only

' CdoDSNOptions Values -------------------------

const cdoDSNDefault            =  0 ' issue no status notifications
const cdoDSNNever              =  1 ' issue no status notifications
const cdoDSNFailure            =  2 ' issue notification if delivery fails
const cdoDSNSuccess            =  4 ' issue notification if delivery succeeds
const cdoDSNDelay              =  8 ' issue notification if delivery is delayed
const cdoDSNSuccessFailOrDelay = 14 ' issue notification if delivery succeeds, fails, or is delayed.

' CdoEncodingType Values -----------------------

const cdo7bit                  = "7bit"             ' Simple 7-bit ASCII  
const cdo8bit                  = "8bit"             ' 8-bit coding with line termination characters  
const cdoBase64                = "base64"           ' 3 octets encoded into 4 sextets with offset  
const cdoBinary                = "binary"           ' Arbitrary binary stream  
const cdoMacBinHex40           = "mac-binhex40"     ' Macintosh binary to hex encoding
                                                    ' (CDO can decode but not encode binhex)
const cdoQuotedPrintable       = "quoted-printable" ' Mostly 7-bit, with 8-bit characters encoded as "=HH"  
const cdoUuencode              = "uuencode"         ' UNIX Uuencode encoding  

' CdoEventStatus Values ------------------------

const cdoRunNextSink           =  0 ' Notify the next sink. 
const cdoSkipRemainingSinks    =  1 ' Do not notify any remaining sinks of the event 

' CdoImportanceValues Values -------------------

const cdoLow                   =  0 ' Low importance 
const cdoNormal                =  1 ' Normal importance 
const cdoHigh                  =  2 ' High importance 

' CdoMessageStat Values ------------------------

const cdoStatSuccess           =  0 ' Deliver message
const cdoStatAbortDelivery     =  2 ' Discard message 
const cdoStatBadMail           =  3 ' Do not deliver but place in location for undeliverable mail. 

' CdoMHTMLFlags Value --------------------------

const CdoSuppressNone          =  0 ' Omit nothing; download all the items referred to in the HTML document (default).
const CdoSuppressImages        =  1 ' Don't include images referenced in <IMG> elements
const CdoSuppressBGSounds      =  2 ' Don't include sound resources specified by <BGSOUND> elements
const CdoSuppressFrames        =  4 ' Don't include frame contents specified in <FRAME> elements
const CdoSuppressObjects       =  8 ' Don't include object resources specified by <OBJECT> elements
const CdoSuppressStyleSheets   = 16 ' Don't include style sheets referenced by <LINK> elements
const CdoSuppressAll           = 31 ' Omit all referenced objects

' CdoNNTPProcessingField Values ----------------

const CdoPostMessage           =  1 ' Post the message. 
const CdoProcessControl        =  2 ' Send the message through control process
const CdoProcessModerator      =  4 ' Send the message to moderator

' CdoPostUsing Values --------------------------

const cdoPostUsingPickup       =  1 ' Post message by dropping into the IIS NNTP service pickup directory
const cdoPostUsingPort         =  2 ' Post message directly using NNTP 

' CdoPriorityValues Values ---------------------

const cdoPriorityNonUrgent     = -1 ' Not urgent 
const cdoPriorityNormal        =  0 ' Normal priority 
const cdoPriorityUrgent        =  1 ' Urgent 

' CdoProtocolsAuthentication Values ------------

const cdoAnonymous             =  0 ' Do not authenticate. 
const cdoBasic                 =  1 ' Use basic (clear-text) authentication. The specified username &'
                                      password are sent. 
const cdoNTLM                  =  2 ' Use NTLM authentication. The current process' (e.g. current
                                    ' user's) credentials are used. 

' CdoReferenceType Values ----------------------

const cdoRefTypeId             =  0 ' The Reference parameter contains a "Content-ID" value
const cdoRefTypeLocation       =  1 ' The Reference parameter containsa "Content-Location" value

' CdoSendUsing Values --------------------------

const cdoSendUsingPickup       =  1 ' Send message by dropping into the IIS SMTP service pickup directory
const cdoSendUsingPort         =  2 ' Send the message directly using SMTP

' CdoSensitivityValues Values ------------------

const cdoSensitivityNone       =  0 ' Not specified (default)
const cdoPersonal              =  1 ' Personal 
const cdoPrivate               =  2 ' Private 
const cdoCompanyConfidential   =  3 ' Confidential 

' CdoTimeZoneId Values -------------------------

const cdoUTC                   =  0 ' Universal Coordinated Time (UTC) 
const cdoGMT                   =  1 ' Greenwich Mean Time (GMT); Dublin, Edinburgh, London 
const cdoLisbon                =  2 ' Lisbon, Warsaw (GMT+01:00) 
const cdoParis                 =  3 ' Paris, Madrid (GMT+01:00) 
const cdoBerlin                =  4 ' Berlin, Stockholm, Rome, Bern, Brussels, Vienna (GMT+01:00) 
const cdoEasternEurope         =  5 ' Eastern Europe (GMT+02:00) 
const cdoPrague                =  6 ' Prague (GMT+01:00) 
const cdoAthens                =  7 ' Athens, Helsinki, Istanbul (GMT+02:00) 
const cdoBrasilia              =  8 ' Brasilia (GMT-03:00) 
const cdoAtlanticCanada        =  9 ' Atlantic Time (Canada) (GMT-04:00) 
const cdoEastern               = 10 ' Eastern Time (US & Canada) (GMT-05:00) 
const cdoCentral               = 11 ' Central Time (US & Canada) (GMT-06:00) 
const cdoMountain              = 12 ' Mountain Time (US & Canada) (GMT-07:00) 
const cdoPacific               = 13 ' Pacific Time (US & Canada); Tijuana (GMT-08:00) 
const cdoAlaska                = 14 ' Alaska (GMT-09:00) 
const cdoHawaii                = 15 ' Hawaii (GMT-10:00) 
const cdoMidwayIsland          = 16 ' Midway Island, Samoa (GMT-11:00) 
const cdoWellington            = 17 ' Wellington, Auckland (GMT+12:00) 
const cdoBrisbane              = 18 ' Brisbane, Melbourne, Sydney (GMT+10:00) 
const cdoAdelaide              = 19 ' Adelaide (GMT+09:30) 
const cdoTokyo                 = 20 ' Tokyo, Osaka, Sapporo, Seoul, Yakutsk (GMT+09:00) 
const cdoHongKong              = 21 ' Hong Kong SAR, Perth, Singapore, Taipei (GMT+08:00) 
const cdoBangkok               = 22 ' Bangkok, Jakarta, Hanoi (GMT+07:00) 
const cdoBombay                = 23 ' Bombay, Calcutta, Madras, New Delhi, Colombo (GMT+05:30) 
const cdoAbuDhabi              = 24 ' Abu Dhabi, Muscat, Tbilisi, Kazan, Volgograd (GMT+04:00) 
const cdoTehran                = 25 ' Tehran (GMT+03:30) 
const cdoBaghdad               = 26 ' Baghdad, Kuwait, Nairobi, Riyadh (GMT+03:00) 
const cdoIsrael                = 27 ' Israel (GMT+02:00) 
const cdoNewfoundland          = 28 ' Newfoundland (GMT-03:30) 
const cdoAzores                = 29 ' Azores, Cape Verde Island (GMT-01:00) 
const cdoMidAtlantic           = 30 ' Mid-Atlantic (GMT-02:00) 
const cdoMonrovia              = 31 ' Monrovia, Casablanca (GMT) 
const cdoBuenosAires           = 32 ' Buenos Aires, Georgetown (GMT-03:00) 
const cdoCaracas               = 33 ' Caracas, La Paz (GMT-04:00) 
const cdoIndiana               = 34 ' Indiana (East) (GMT-05:00) 
const cdoBogota                = 35 ' Bogota, Lima (GMT-05:00) 
const cdoSaskatchewan          = 36 ' Saskatchewan (GMT-06:00) 
const cdoMexicoCity            = 37 ' Mexico City, Tegucigalpa (GMT-06:00) 
const cdoArizona               = 38 ' Arizona (GMT-07:00) 
const cdoEniwetok              = 39 ' Eniwetok, Kwajalein (GMT-12:00) 
const cdoFiji                  = 40 ' Fiji Islands, Kamchatka, Marshall Islands (GMT+12:00) 
const cdoMagadan               = 41 ' Magadan, Solomon Islands, New Caledonia (GMT+11:00) 
const cdoHobart                = 42 ' Hobart (GMT+10:00) 
const cdoGuam                  = 43 ' Guam, Port Moresby, Vladivostok (GMT+10:00) 
const cdoDarwin                = 44 ' Darwin (GMT+09:30) 
const cdoBeijing               = 45 ' Beijing, Chongqing, Urumqi (GMT+08:00) 
const cdoAlmaty                = 46 ' Almaty, Dhaka (GMT+06:00) 
const cdoIslamabad             = 47 ' Islamabad, Karachi, Sverdlovsk, Tashkent (GMT+05:00) 
const cdoKabul                 = 48 ' Kabul (GMT+04:30) 
const cdoCairo                 = 49 ' Cairo (GMT+02:00) 
const cdoHarare                = 50 ' Harare, Pretoria (GMT+02:00) 
const cdoMoscow                = 51 ' Moscow, St. Petersburg (GMT+03:00) 
const cdoInvalidTimZone        = 52 ' Invalid time zone identifier 
